RESIZE2FS(8)

NAME
resize2fs - ext2/ext3 file system resizer

SYNOPSIS
resize2fs [ -d debug-flags ] [ -f ] [ -F ] [ -p ] device [ size ]

DESCRIPTION
The resize2fs program will resize ext2 file systems. It can be used to enlarge or shrink an ext2 file system located on device. The size parameter specifies the requested new size of the filesystem. If no units are specified, the units of the size parameter shall be the filesystem blocksize of the filesystem. Optionally, the size parameter may be suffixed by one of the following the units designators: 's', 'K', 'M', or 'G', for 512 byte sectors, kilobytes, megabytes, or gigabytes, respectively. The size of the filesystem may never be larger than the size of the partition. If size parameter is not specified, it will default to the size of the partition.

The resize2fs program does not manipulate the size of partitions. If you wish to enlarge a filesystem, you must first make sure you can expand the size of the underlying partition first. This can be done using fdisk(8) by deleting the partition and recreating it with a larger size. When recreating the partition, make sure you create it with the same starting disk cylinder as before! Otherwise, the resize operation will certainly not work, and you may lose your entire filesystem. After running fdisk(8), run resize2fs to resize the ext2 filesystem to use all of the space in the newly enlarged partition.

If you wish to shrink an ext2 partition, first use resize2fs to shrink the size of filesystem. Then you may use fdisk(8) to shrink the size of the partition. When shrinking the size of the partition, make sure you do not make it smaller than the new size of the ext2 filesystem!

OPTIONS

-d debug-flags
    Turns on various resize2fs debugging features, if they have been compiled into the binary. debug-flags should be computed by adding the numbers of the desired features from the following list:
        1    - Print out all disk I/O
        2    - Debug block relocations
        8    - Debug inode relocations
        16    - Debug moving the inode table

-p  Prints out a percentage completion bars for each resize2fs operation, so that the user can keep track of what the program is doing.

-f  Forces resize2fs to proceed with the filesystem resize operation, overriding some safety checks which resize2fs normally enforces.

-F  Flush the filesystem device's buffer caches before beginning. Only really useful for doing resize2fs time trials.

AUTHOR
resize2fs was written by Theodore Ts'o <tytso@mit.edu>.

COPYRIGHT
Resize2fs is Copyright 1998 by Theodore Ts'o and PowerQuest, Inc. All rights reserved. As of April, 2000 Resize2fs may be redistributed under the terms of the GPL.

SEE ALSO
fdisk(8), e2fsck(8), mke2fs(8)